cURL
curl --request GET \
--url https://api-alpha.fourvenues.com/integrations/clients/ \
--header 'integration_id: <api-key>' \
--header 'secret: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api-alpha.fourvenues.com/integrations/clients/"
headers = {
"integration_id": "<api-key>",
"secret": "<api-key>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {integration_id: '<api-key>', secret: '<api-key>', 'x-api-key': '<api-key>'}
};
fetch('https://api-alpha.fourvenues.com/integrations/clients/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"_id": "ilnnakdkz000338nzbi7x1xho3WQwKHg",
"user_id": "plnlp1s0t005301am9ehq3y8iSllAXqD",
"email": "jose.garcia@gmail.com",
"name": "Jose Garcia",
"name_normalized": "jose garcia",
"gender": "0",
"personal_document_number": "45555555E",
"personal_document_type": "dni",
"address": "cscdscdscds",
"birth_date": 0,
"phone": "+34655555555",
"postal_code": "",
"city": "",
"language": "es",
"total_bookings": 0,
"total_tickets": 0,
"created_at": "2024-12-14T18:10:51.052Z",
"updated_at": "2025-04-16T11:02:05.147Z"
}
]
}Clients
Get clients
Get all the clients
GET
/
clients
/
cURL
Authorizations
Identifier of the integration (Auth v1)
Secret of the organization (Auth v1)
API key (Auth v2)
Query Parameters
Start date
End date
Number of clients to skip
Number of clients to return
Filter the clients that have purchased that resource type.
⌘I